#include <stdlib.h>
#include <SDL/SDL.h>
#include <SDL/SDL_gfxPrimitives.h>
#include <stdint.h>
#include <inttypes.h>

#include "font8x16.h"

SDL_Surface *screen;

int putc8x16(int xoff, int yoff, int c) {
	int x, y, line_data;
	int off = c*16;
	int posx, posy;
	
	for(y = 0; y < 16; y++) {
		line_data = font_acumos_cl_8x16[off+y];
		for(x = 0; x < 8; x++) {
			if((line_data>>x) & 0x01) {
				posx = xoff+8-x;
				posy = yoff+y;
				pixelRGBA(screen, posx, posy, 0xFF, 0xFF, 0xFF, 0xFF);
			}
		}
	}
	
	
	return 0;	
}

int main(void) {
    SDL_Event event;
    int x, y, c, quit = 0;
    
	SDL_Init(SDL_INIT_VIDEO);
    atexit(SDL_Quit);
    screen = SDL_SetVideoMode(640, 480, 16, SDL_HWSURFACE);
 	
	for(y = 0; y < 16; y++) {
		for(x = 0; x < 16; x++) {
			c = (y*16)+x;
			putc8x16(x*9, y*17, c);
		}
	}
	
	SDL_UpdateRect(screen, 0, 0, 640, 480);
	
	
    while(SDL_WaitEvent(&event) && !quit) {
        switch(event.type) {
            case SDL_KEYDOWN:
                switch (event.key.keysym.sym) {
                    case SDLK_ESCAPE:
                        quit = 1;
                        break;
                    default:
                        break;
                }
                break;
        }
    }
    
    return 0;
}

